import * as ec2 from 'aws-cdk-lib/aws-ec2';
import { Construct } from 'constructs';
import { AddRouteOptions } from './network';
export interface RouteTableManagerProps {
    readonly vpc: ec2.Vpc;
    readonly subnetGroupName: string;
    readonly routes?: AddRouteOptions[];
    readonly peeringConnectionId?: {
        [key: string]: ec2.CfnVPCPeeringConnection;
    };
}
export declare class RouteTableManager extends Construct {
    readonly routeTable: ec2.CfnRouteTable;
    private readonly nestedStack;
    constructor(scope: Construct, id: string, props: RouteTableManagerProps);
    associateSubnet(subnet: ec2.ISubnet, index: number): void;
}
